Package org.eclipse.emf.spi.cdo

# Class AbstractChangeSetsConflictResolver

java.lang.Object
org.eclipse.emf.spi.cdo.AbstractConflictResolver
org.eclipse.emf.spi.cdo.AbstractChangeSetsConflictResolver

All Implemented Interfaces:
  `CDOConflictResolver`, `CDOConflictResolver.NonConflictAware`

Direct Known Subclasses:
  `CDOMergingConflictResolver`

public abstract class AbstractChangeSetsConflictResolver extends AbstractConflictResolver implements CDOConflictResolver.NonConflictAware
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

`CDOConflictResolver.NonConflictAware`

## Constructor Summary

Constructors
Constructor
Description
`AbstractChangeSetsConflictResolver()`
`AbstractChangeSetsConflictResolver(boolean ensureRemoteNotifications)`

## Method Summary

Modifier and Type
Method
Description
`CDOChangeSet`
`getLocalChangeSet()`
`CDOChangeSetData`
`getLocalChangeSetData()`
`CDOChangeSet`
`getRemoteChangeSet()`
`CDOChangeSetData`
`getRemoteChangeSetData()`
`final long`
`getRemoteTimeStamp()`
`void`
`handleNonConflict(long updateTime)`
`protected void`
`hookTransaction(CDOTransaction transaction)`
`protected void`
`transactionAttachingObject(CDOObject object)`
`protected void`
`transactionCommitted(CDOCommitContext commitContext)`
`protected void`
`transactionCommitting(CDOCommitContext commitContext)`
`protected void`
`transactionDetachingObject(CDOObject object)`
`protected void`
`transactionModifyingObject(CDOObject object, CDOFeatureDelta featureDelta)`
`protected void`
`transactionRolledBack()`
`protected void`
`unhookTransaction(CDOTransaction transaction)`

### Methods inherited from class org.eclipse.emf.spi.cdo.AbstractConflictResolver

`getTransaction, setTransaction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

`getTransaction, resolveConflicts, setTransaction`

## Constructor Details

### AbstractChangeSetsConflictResolver

public AbstractChangeSetsConflictResolver()

### AbstractChangeSetsConflictResolver

public AbstractChangeSetsConflictResolver(boolean ensureRemoteNotifications)

Parameters:
  `ensureRemoteNotifications` - boolean to disable the use of `CDOAdapterPolicy` to ensure remote changes reception for conflict resolution, true by default. Can be disabled to limit network traffic when `CDOCommonSession.Options.PassiveUpdateMode` is enabled and in `CDOCommonSession.Options.PassiveUpdateMode.CHANGES` or `CDOCommonSession.Options.PassiveUpdateMode.ADDITIONS`
Since:
  4.4

## Method Details

### getLocalChangeSetData

public CDOChangeSetData getLocalChangeSetData()

### getLocalChangeSet

public CDOChangeSet getLocalChangeSet()

### getRemoteChangeSetData

public CDOChangeSetData getRemoteChangeSetData()

### getRemoteChangeSet

public CDOChangeSet getRemoteChangeSet()

### getRemoteTimeStamp

public final long getRemoteTimeStamp()

Since:
  4.4

### handleNonConflict

public void handleNonConflict(long updateTime)

Specified by:
  `handleNonConflict` in interface `CDOConflictResolver.NonConflictAware`
Since:
  4.3

### hookTransaction

protected void hookTransaction(CDOTransaction transaction)

Overrides:
  `hookTransaction` in class `AbstractConflictResolver`

### unhookTransaction

protected void unhookTransaction(CDOTransaction transaction)

Overrides:
  `unhookTransaction` in class `AbstractConflictResolver`

### transactionAttachingObject

protected void transactionAttachingObject(CDOObject object)

Since:
  4.4

### transactionDetachingObject

protected void transactionDetachingObject(CDOObject object)

Since:
  4.4

### transactionModifyingObject

protected void transactionModifyingObject(CDOObject object, CDOFeatureDelta featureDelta)

Since:
  4.4

### transactionCommitting

protected void transactionCommitting(CDOCommitContext commitContext)

Since:
  4.4

### transactionCommitted

protected void transactionCommitted(CDOCommitContext commitContext)

Since:
  4.4

### transactionRolledBack

protected void transactionRolledBack()

Since:
  4.4